#
# umpk03.rb
#
# $Id: umpk03.rb,v 1.1 2000/11/22 14:36:01 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu
include Math


np = 2

#-- data ---
ctr = ['mer','con']

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::gropn(iws.abs)

DCL::slrat(2.0, 1.0)
DCL::sldiv('Y', 2, 1)

for i in 0..np-1
  DCL::grfrm
  DCL::grswnd(123.0, 147.0, 30.0, 46.0)
  DCL::grsvpt(0.1, 0.9, 0.1, 0.9)
  DCL::grstrn(DCL::isgtrc(ctr[i]))
  DCL::umpfit
  DCL::grstrf

  DCL::sglset('LCLIP', true)
  DCL::slpwwr(1)
  DCL::slpvpr(1)
  cttl = DCL::sgtrnl(DCL::isgtrc(ctr[i]))
  DCL::sgtxzr(0.5, 0.95, cttl, 0.03, 0, 0, 3)

#       CALL UMPMAP( 'coast_japan' )
  DCL::umpmap('coast_world')
  DCL::umpglb
end

DCL::grcls

